<?php
namespace Aelia\WC\CurrencySwitcher\Scheduler\Tasks\Database_Updater;
if(!defined('ABSPATH')) { exit; } // Exit if accessed directly

use Aelia\WC\AFC\Scheduler\Tasks\Task_Result;

/**
 * Describes the result generated by a scheduled task.
 *
 * @since 4.16.0.230623
 */
class Database_Updater_Task_Result extends Task_Result {
	/**
	 * Indicates the last record ID processed by a scheduled task.
	 *
	 * @var integer
	 */
	protected $last_record_id = 0;

	/**
	 * Indicates to which version the database was upgraded. With
	 * this information, the updates manager will be able to determine
	 * the next update task to be performed.
	 *
	 * @var boolean
	 */
	protected $database_version = null;
}
